<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>book-list-app documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">book-list-app documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>PagesRoutingModule</li>
</ol>


<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/pages/pages-routing.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Routes, RouterModule } from &#x27;@angular/router&#x27;;
import { NgModule } from &#x27;@angular/core&#x27;;
import { HomeComponent } from &#x27;./home/home.component&#x27;;
import { AddComponent } from &#x27;./add/add.component&#x27;;
import { SignInComponent } from &#x27;../login/sign-in/sign-in.component&#x27;;
import { SignUpComponent } from &#x27;../login/sign-up/sign-up.component&#x27;;
import { DashboardComponent } from &#x27;../login/dashboard/dashboard.component&#x27;;
import { ForgotPasswordComponent } from &#x27;../login/forgot-password/forgot-password.component&#x27;;
import { VerifyEmailComponent } from &#x27;../login/verify-email/verify-email.component&#x27;;
import { AuthGuard } from &#x27;../auth.guard&#x27;;


export const routes: Routes &#x3D; [
  { path: &#x27;&#x27;, redirectTo: &#x27;/sign-in&#x27;, pathMatch: &#x27;full&#x27; },
  { path: &#x27;sign-in&#x27;, component: SignInComponent },
  { path: &#x27;sign-up&#x27;, component: SignUpComponent },
  { path: &#x27;forgot-password&#x27;, component: ForgotPasswordComponent },
  { path: &#x27;email-verification&#x27;, component: VerifyEmailComponent },
  { path: &#x27;dashboard&#x27;, component: DashboardComponent, canActivate: [AuthGuard] },
  { path: &#x27;home&#x27;,    component: HomeComponent, canActivate: [AuthGuard] },
  { path: &#x27;add&#x27;,    component: AddComponent , canActivate: [AuthGuard] }
];

@NgModule({
  imports: [
    RouterModule.forRoot(routes, { useHash: true, relativeLinkResolution: &#x27;legacy&#x27; }),
  ],
  exports: [
    RouterModule
  ]
})

export class PagesRoutingModule {}
</code></pre>
    </div>
</div>










                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'PagesRoutingModule.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
